package cn.iocoder.yudao.module.wealth.convert.receivable;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.receivable.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receivable.ReceivableDO;

/**
 * 应收款 Convert
 * @author 郑屹
 */
@Mapper
public interface ReceivableConvert {
    /*****转换MapStruct*****/
    ReceivableConvert INSTANCE = Mappers.getMapper(ReceivableConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceivableDO convert(ReceivableCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceivableDO convert(ReceivableUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ReceivableBackVO convert(ReceivableDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceivableBackVO> convertList(List<ReceivableDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceivableBackVO> convertPage(PageResult<ReceivableDO> page);

    List<ReceivableInItemVO> convertToItemVOList(List<ReceivableDO> receivableDOS);

    List<ReceivableUpdateReqVO> convertToUpdateVO(List<ReceivableBackVO> receivable);
}
