package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptInvoice;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 收款单开票信息 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_invoice")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptInvoiceDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 开票编号
     */
    private String invoiceNo;
    /**
     * 收款单id
     */
    private Long receiptId;
    /**
     * 收款单号（例：SKD001）
     */
    private String receiptNo;
    /**
     * 申请人id
     */
    private Long applyUserId;
    /**
     * 开票资料备注
     */
    private String invoiceRemark;
    /**
     * 申请人姓名
     */
    private String applyUserName;
    /**
     * 发票抬头
     */
    private String invoiceHeader;
    /**
     * 纳税人识别号
     */
    private String taxpayer;
    /**
     * 税率
     */
    private java.math.BigDecimal taxRate;
    /**
     * 开票电话
     */
    private String invoicePhone;
    /**
     * 开户行
     */
    private String accountBank;
    /**
     * 开票地址
     */
    private String invoiceAddress;
    /**
     * 开户账号
     */
    private String accountName;
    /**
     * 发票号码
     */
    private String invoiceNumber;
    /**
     * 开票项目
     */
    private String invoiceItem;
    /**
     * 开票类型(字典表 invoicing_type)
     */
    private Integer invoiceTypeId;
    /**
     * 发票信息最后修改时间
     */
    private Date invoiceInfoSaveTime;
    /**
     * 开发票人id
     */
    private Long invoicerId;
    /**
     * 开票时间
     */
    private Date invoiceTime;

    /**
     * 开票币种符号
     */
    private Long currencyId;

    /**
     * 开票金额
     */
    private java.math.BigDecimal invoiceMoney;

    /**
     * 开票信息备注
     */
    private String invoiceInfoRemark;

    /**
     * 开票取消人id
     */
    private Long cancelUserId;
    /**
     * 开票取消时间
     */
    private Date cancelTime;
}
