package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptItem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 收款单明细 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_item")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptItemDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 流水号
     */
    private String serialNumber;
    /**
     * 收款单id
     */
    private Long receiptId;
    /**
     * 收款账号id
     */
    private Long accountId;
    /**
     * 收款账号
     */
    private String accountNo;
    /**
     * 当次实收金额不含税
     */
    private java.math.BigDecimal amount;
    /**
     * 税点
     */
    private java.math.BigDecimal taxPoint;
    /**
     * 当次实收金额含税
     */
    private java.math.BigDecimal taxAmount;
    /**
     * 收款账号名称
     */
    private String accountName;
    /**
     * 收款账号银行名称
     */
    private String accountBankName;
    /**
     * 货币id
     */
    private Long currencyId;
    /**
     * 收款汇率
     */
    private String rate;
    /**
     * 实收日期
     */
    private Date amountDate;
    /**
     * 水单号
     */
    private String billNo;
    /**
     * 附件多个,分隔
     */
    private String attr;
    /**
     * 状态0待核销，1已核销,2核销审核中,3反核销审核中,4核销审批拒绝
     */
    private Integer status;

    /**
     * 核销货币id
     */
    private Long writeOffCurrencyId;
    /**
     * 核销金额
     */
    private java.math.BigDecimal writeOffAmount;

    /**
     * 流程审核状态
     */
    private Integer bmpStatus;
    /**
     * 当前流程ID
     */
    private String bmpId;
    /**
     * 审核通过时间
     */
    private Date approvalTime;
    /**
     * 备注
     */
    private String remark;
}
