package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum GeneratePathEnum implements IntArrayValuable {
    /**
     * 单个生成
     */
    SINGLE(0, "单个生成", "SINGLE"),
    /**
     * 批量生成
     */
    BATCH(1, "批量生成", "BATCH");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(GeneratePathEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static GeneratePathEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), GeneratePathEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
