package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum ReceiptItemStatusInReceiptEnum implements IntArrayValuable {
    /**
     * 未录入
     */
    NO_INPUT(0, "未录入", "Draft"),
    /**
     * 未提交
     */
    UN_SUBMITTED(1, "未提交", "Un Submitted"),
    /**
     * 部分提交
     */
    PART_SUBMITTED(2, "部分提交", "Part Submitted"),
    /**
     * 未审批
     */
    UN_APPROVED(3, "未审批", "Un Approved"),
    /**
     * 部分审批
     */
    PART_APPROVED(4, "部分审批", "Part Approved"),
    /**
     * 全部审批
     */
    ALL_APPROVED(5, "全部审批", "All Approved");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ReceiptItemStatusInReceiptEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static ReceiptItemStatusInReceiptEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), ReceiptItemStatusInReceiptEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
