package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum ReceiptLinkEnum implements IntArrayValuable {
    /**
     * 创建收款单
     */
    CREATE_RECEIPT(0, "创建收款单", "Create Receipt"),
    /**
     * 编辑收款单
     */
    EDIT_RECEIPT(1, "编辑收款单", "Edit Receipt"),
    /**
     * 提交收款单
     */
    SUBMIT_RECEIPT(2, "提交收款单", "Submit Receipt"),
    /**
     * 反审核收款单
     */
    REJECT_RECEIPT(3, "反审核收款单", "Reject Receipt"),
    /**
     * 审核收款单
     */
    APPROVE_RECEIPT(4, "审核收款单", "Approve Receipt"),
    /**
     * 提交银行收款明细
     */
    SUBMIT_BANK_RECEIPT(5, "提交银行收款明细", "Submit Bank Receipt"),
    /**
     * 反审核银行收款明细
     */
    REJECT_BANK_RECEIPT(6, "反审核银行收款明细", "Reject Bank Receipt"),
    /**
     * 审批银行收款明细
     */
    APPROVE_BANK_RECEIPT(7, "审批银行收款明细", "Approve Bank Receipt"),
    /**
     * 核销收款单
     */
    WRITE_OFF_RECEIPT(8, "核销收款单", "Write Off Receipt"),
    /**
     * 反核销收款单
     */
    REJECT_WRITE_OFF_RECEIPT(9, "反核销收款单", "Reject Write Off Receipt");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ReceiptLinkEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static ReceiptLinkEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), ReceiptLinkEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
