package cn.iocoder.yudao.module.wealth.listener;


import cn.iocoder.yudao.module.wealth.listener.event.ReceiptItemWriteOffEvent;
import cn.iocoder.yudao.module.wealth.service.receiptItem.ReceiptItemService;
import lombok.AllArgsConstructor;
import org.springframework.context.event.EventListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * 银行收款明细审核通过监听
 */
@AllArgsConstructor
@Component
public class ReceiptItemWriteOffListener {

    private final ReceiptItemService receiptItemService;

    /**
     * 银行收款明细审核通过更新应收核销金额
     *
     * @param event 编号记录
     */
    @EventListener(ReceiptItemWriteOffEvent.class)
    @Async
    public void onReceiptItemWriteOff(ReceiptItemWriteOffEvent event) {
        receiptItemService.verification(event.getId(), event.getBpmResult(), event.getComment());
    }
}
