package cn.iocoder.yudao.module.wealth.vo.commissionPayment;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 佣金付款单查询 VO")
public class CommissionPaymentQueryVO {

    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ApiModelProperty(value = "部门Id")
    private Long departmentId;

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ApiModelProperty(value = "业务员")
    private Long salesmanId;

    @ApiModelProperty(value = "业务员id")
    private List<Long> salesmanIdList;

    @ApiModelProperty(value = "业务员名称")
    private String salesmanName;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户id集合")
    private List<Long> customerIdList;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "客户银行")
    private String customerBank;

    @ApiModelProperty(value = "客户银行账号")
    private String customerBankAccount;

    @ApiModelProperty(value = "客户银行账户名")
    private String customerBankAccountName;


    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "申请日期")
    private Date applicationAt;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "最迟付款日")
    private Date latestPayAt;

    @ApiModelProperty(value = "账单号")
    private String accountNumber;

    @ApiModelProperty(value = "发票状态（0未开票，1已开票）")
    private Integer invoiceStatus;

    private List<Integer> invoiceStatusList;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ApiModelProperty(value = "付款单状态（1待审核，2已审核待核销，3已核销）")
    private Integer state;

    private List<Integer> stateList;

    @ApiModelProperty(value = "付款单添加人id")
    private Long paymentAddId;

    @ApiModelProperty(value = "付款单添加人名称")
    private String paymentAddBy;

    @ApiModelProperty(value = "审核人id")
    private Long reviewId;

    @ApiModelProperty(value = "审核人名称")
    private String reviewName;

    @ApiModelProperty(value = "核销人id")
    private Long writeOffId;

    @ApiModelProperty(value = "核销人名称")
    private String writeOffName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "审核日期")
    private Date reviewAt;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "核销日期")
    private Date writeOffAt;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ApiModelProperty(value = "结算方式")
    private Integer settlementType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;


    @ApiModelProperty(value = "搜索关键字(包括：客户名称、手机号、客户编号)")
    private String searchKey;

    @ApiModelProperty(value = "id集合")
    private List<Long> ids;


}
