package cn.iocoder.yudao.module.wealth.vo.payable;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Data
@ApiModel("管理后台 - 应付款查询 VO")
public class PayableQueryVO {
    @ApiModelProperty(value = "自编号")
    private String payableNo;

    @ApiModelProperty(value = "付款单id")
    private Long paymentId;

    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "供应商id")
    private Long supplierId;

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "费用类型(字典:payable_fee_type)")
    private Long feeType;

    @ApiModelProperty(value = "费用类型(字典:payable_fee_type)")
    private List<Long> feeTypeList;

    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal totalAmount;

    @ApiModelProperty(value = "币货币id")
    private Long currencyId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "汇率")
    private String exchangeRate;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "税价合计")
    private java.math.BigDecimal total;

    @ApiModelProperty(value = "收款状态（0未付款，1付款中，2已付款）")
    private Integer state;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ApiModelProperty(value = "操作步骤")
    private Long stepsId;

    @ApiModelProperty(value = "额外费用")
    private Integer extraCost;

    @ApiModelProperty(value = "货柜id")
    private Long containerId;

    @ApiModelProperty(value = "货柜号")
    private String containerNo;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;


    @ExcelProperty("运输方式id")
    @ApiModelProperty(value = "运输方式id")
    private String transportId;

    @ApiModelProperty(value = "运输方式id")
    private List<String> transportIdList;

    @ExcelProperty("始发地ID")
    @ApiModelProperty(value = "始发地ID")
    private String departureId;

    @ApiModelProperty(value = "始发地ID")
    private List<String> departureIdList;

    @ExcelProperty("目的地ID")
    @ApiModelProperty(value = "目的地ID")
    private String objectiveId;

    @ApiModelProperty(value = "目的地ID")
    private List<String> objectiveIdList;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "时间节点查询类型")
    private int dateType;

    @ApiModelProperty(value = "时间节点查询类型")
    private List<Integer> dateTypeList;

}
