package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 收款单创建 Request VO")
public class ReceiptBatchCreateReqVO extends ReceiptBaseVO {
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "税点(明细)")
    private BigDecimal taxPoint;

    @ApiModelProperty(value = "平台收款账户id")
    private Long platformAccountId;

    @ApiModelProperty(value = "发票抬头")
    private String invoice;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "开户行")
    private String accountBank;

    @ApiModelProperty(value = "账号")
    private String accountName;

    @ApiModelProperty(value = "开票品名")
    private String projectName;

    @ApiModelProperty(value = "税率(发票)")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "开票电话")
    private String invoicePhone;

    @ApiModelProperty(value = "开票电话/地址")
    private String addressPhone;

    @ApiModelProperty(value = "备注")
    private String invoiceRemark;
}
