package cn.iocoder.yudao.module.wealth.vo.receipt;

import cn.iocoder.yudao.module.wealth.vo.receiptAccount.ReceiptAccountCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receivable.ReceivableUpdateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 收款单创建 Request VO")
public class ReceiptCreateReqVO extends ReceiptBaseVO {
    @ApiModelProperty(value = "新增:0 草稿:1")
    @NotNull(message = "新增类型不能为空")
    private String addType;

    @ApiModelProperty(value = "应收项")
    private List<ReceivableUpdateReqVO> receivableVOList;

    @ApiModelProperty(value = "收款信息")
    private List<ReceiptAccountCreateReqVO> receiptAccountList;

    @ApiModelProperty(value = "开票资料")
    private ReceiptInvoiceCreateReqVO receiptInvoice;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;

    @ApiModelProperty(value = "发起原因")
    private String reason;
}
