package cn.iocoder.yudao.module.wealth.vo.receipt;

import cn.iocoder.yudao.module.wealth.vo.receiptAccount.ReceiptAccountCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.InvoiceCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receivable.ReceivableUpdateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 收款单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptUpdateReqVO extends ReceiptBaseVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "草稿更新:0 非草稿更新:1")
    @NotNull(message = "修改类型不能为空")
    private String updateType;

    @ApiModelProperty(value = "应收项")
    private List<ReceivableUpdateReqVO> receivableVOList;

    @ApiModelProperty(value = "收款信息")
    private List<ReceiptAccountCreateReqVO> receiptAccountList;

    @ApiModelProperty(value = "开票资料")
    private ReceiptInvoiceCreateReqVO receiptInvoice;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;

    @ApiModelProperty(value = "申请原因")
    private String reason;

}
