package cn.iocoder.yudao.module.wealth.vo.receiptAccount;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Data
@Builder
@ApiModel("管理后台 - 批量收款信息创建 Request VO")
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = false)
public class ReceiptItemBatchCreateReqVO {
    @ApiModelProperty(value = "订单号/提单号")
    @ExcelProperty("订单号/提单号")
    private String orderNo;

    @ApiModelProperty(value = "付款人")
    @ExcelProperty("付款人")
    private String payer;

    @ApiModelProperty(value = "收款日期")
    @ExcelProperty("收款日期")
    private String payDate;

    @ApiModelProperty(value = "收款账号id")
    @ExcelIgnore
    private Long accountId;

    @ApiModelProperty(value = "收款账号")
    @ExcelProperty("收款账号")
    private String payAccount;

    @ApiModelProperty(value = "收款金额")
    @ExcelProperty("收款金额")
    private String payAmount;

    @ApiModelProperty(value = "实收金额币种")
    @ExcelProperty("实收金额币种")
    private String payCurrency;

    @ApiModelProperty(value = "结算币种")
    @ExcelProperty("结算币种")
    private String settleCurrency;

    @ApiModelProperty(value = "汇率")
    @ExcelProperty("汇率")
    private String settleRate;

    @ApiModelProperty(value = "水单号")
    @ExcelProperty("水单号")
    private String waterNo;

    @ApiModelProperty(value = "提交人")
    @ExcelProperty("提交人")
    private String submitter;

    @ApiModelProperty(value = "备注")
    @ExcelProperty("备注")
    private String remark;

    @ApiModelProperty(value = "收款账号名称")
    @ExcelIgnore
    private String accountName;

    @ApiModelProperty(value = "收款账号银行名称")
    @ExcelIgnore
    private String accountBankName;
}
