package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 收款单详情中的发票信息返回
*/
@Data
public class InvoiceInReceiptRespVO {

    @ApiModelProperty(value = "开票编号")
    private String invoiceNo;

    @ApiModelProperty(value = "发票抬头")
    private String invoice;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "开户行")
    private String accountBank;

    @ApiModelProperty(value = "开户账号")
    private String accountName;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "开票电话/地址")
    private String addressPhone;

    @ApiModelProperty(value = "开票品名")
    private String projectName;

    @ApiModelProperty(value = "开票资料备注")
    private String invoiceRemark;

    @ApiModelProperty(value = "发票号码")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    private Integer invoiceTypeId;

    @ApiModelProperty(value = "开票金额")
    private java.math.BigDecimal invoiceMoney;

    @ApiModelProperty(value = "开票币种")
    private Long currencyId;

    @ApiModelProperty(value = "开发票人id")
    private Long invoicerId;

    @ApiModelProperty(value = "开发票人")
    private String invoicerName;

    @ApiModelProperty(value = "开票时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date invoiceTime;

    @ApiModelProperty(value = "开票信息备注")
    private String invoiceInfoRemark;
}
