package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 收款单开票信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ReceiptInvoiceBaseVO {

    @ApiModelProperty(value = "收款单id", required = true)
    @NotNull(message = "收款单id不能为空")
    private Long receiptId;

    @ApiModelProperty(value = "收款单号（例：SKD001）", required = true)
    @NotNull(message = "收款单号（例：SKD001）不能为空")
    private String receiptNo;

    @ApiModelProperty(value = "部门id")
    private Long departmentId;

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ApiModelProperty(value = "申请人id")
    private Long salesmanId;

    @ApiModelProperty(value = "申请人姓名")
    private String salesmanName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "发票抬头")
    private String invoiceHeader;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "开票电话")
    private String invoicePhone;

    @ApiModelProperty(value = "开票地址")
    private String invoiceAddress;

    @ApiModelProperty(value = "发票号码")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    private Integer invoiceTypeId;

    @ApiModelProperty(value = "开票类型名称")
    private String invoiceType;

    @ApiModelProperty(value = "开票备注")
    private String invoiceRemark;

    @ApiModelProperty(value = "开票人id")
    private Long issuerId;

    @ApiModelProperty(value = "开票人名称")
    private String issuerName;

    @ApiModelProperty(value = "开票时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date invoiceTime;

}
