package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptRelationOrderInfoVO;
import cn.iocoder.yudao.module.wealth.vo.receivable.ReceivableBackVO;
import cn.iocoder.yudao.module.wealth.vo.receivable.WealthMoneyAmountVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 开票详情 VO")
public class ReceiptInvoiceDetailVO {

    //订单信息/基础信息
    @ApiModelProperty(value = "开票id")
    private Long id;

    @ApiModelProperty(value = "开票编号")
    private String invoiceNo;

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "收款单号（例：SKD001）")
    private String receiptNo;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "应收总金额/已收总金额统计")
    private List<WealthMoneyAmountVO> receiptAmount;

    @ApiModelProperty(value = "应收总美元")
    private java.math.BigDecimal receivableTotalAmountUsd;

    @ApiModelProperty(value = "已收总美元")
    private java.math.BigDecimal writeOffAmountUsd;

    @ApiModelProperty(value = "总核销比例")
    private String writeOffProportion;

    @ApiModelProperty(value = "开票状态")
    private Integer invoicingStatus;

    @ApiModelProperty(value = "开票资料状态")
    private Integer invoiceDataStatus;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    private Integer invoiceTypeId;

    @ApiModelProperty(value = "开票类型名称")
    private String invoiceType;

    @ApiModelProperty(value = "基准币种id")
    private Long baseCurrencyId;

    @ApiModelProperty(value = "相关订单信息列表")
    private List<ReceiptRelationOrderInfoVO> orderInfoList;

    // 开票资料
    @ApiModelProperty(value = "发票抬头")
    private String invoiceHeader;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "开户行")
    private String accountBank;

    @ApiModelProperty(value = "账号")
    private String accountName;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "开票品名")
    private String invoiceItem;

    @ApiModelProperty(value = "开票电话")
    private String invoicePhone;

    @ApiModelProperty(value = "开票地址")
    private String invoiceAddress;

    @ApiModelProperty(value = "发票号码")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票资料备注")
    private String invoiceRemark;

    @ApiModelProperty(value = "开票金额")
    private java.math.BigDecimal invoiceMoney;

    @ApiModelProperty(value = "开票币种")
    private Long currencyId;

    @ApiModelProperty(value = "开票币种符号")
    private String currencySymbol;

    @ApiModelProperty(value = "开票信息备注")
    private String invoiceInfoRemark;

    @ApiModelProperty(value = "开发票人id")
    private Long invoicerId;

    @ApiModelProperty(value = "开票人名称")
    private String invoicerName;

    @ApiModelProperty(value = "开票时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date invoiceTime;

    @ApiModelProperty(value = "取消开票人")
    private String cancelUserName;

    @ApiModelProperty(value = "取消开票时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cancelTime;

    // 应收信息
    @ApiModelProperty(value = "应收明细")
    private List<ReceivableBackVO> receivableList;

    // 日志
    @ApiModelProperty(value = "日志")
    private List<ReceiptInvoiceLogBackVO> invoiceLog;

    @ApiModelProperty(value = "收款人")
    private String payee;
    @ApiModelProperty(value = "核销人")
    private String writeOffUser;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date updateTime;
    @ApiModelProperty(value = "创建人")
    private String creator;
    @ApiModelProperty(value = "更新人")
    private String updater;
}
