package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.Date;

@ApiModel("管理后台 - 收款单开票资料更新 Request VO")
@Data
@ToString(callSuper = true)
public class ReceiptInvoiceUpdateInfoReqVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "发票号码")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    private Integer invoiceTypeId;

    @ApiModelProperty(value = "开票金额")
    private java.math.BigDecimal invoiceMoney;

    @ApiModelProperty(value = "开票币种")
    private Long currencyId;

    @ApiModelProperty(value = "开发票人id")
    private Long invoicerId;

    @ApiModelProperty(value = "开票时间")
    private Date invoiceTime;

    @ApiModelProperty(value = "开票信息备注")
    private String invoiceInfoRemark;
}
