package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 银行收款单明细列表")
public class BankIncomeItemReq extends PageParam {

    @ApiModelProperty(value = "收款账号银行名称")
    private List<Integer> platformAccountIds;
    @ApiModelProperty(value = "0收/1支，暂时没支")
    private Integer isIncome;
    @ApiModelProperty(value = "金额符号")
    private Integer relationSymbol;
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal amount;
    @ApiModelProperty(value = "交易日期开始")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date beginAmountDate;
    @ApiModelProperty(value = "交易日期结束")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date endAmountDate;
    @ApiModelProperty(value = "关联单号")
    private String relationNo;
    @ApiModelProperty(value = "交易日期排序方式")
    private Boolean isAsc;
}
