package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptRelationOrderInfoVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 银行账号收支明细列表返回结果")
public class BankIncomeItemResp {

    @ApiModelProperty(value = "银行收款明细id")
    private Long id;

    @ApiModelProperty(value = "收款单id")
    private String receiptId;

    @ApiModelProperty(value = "0收/1支，暂时没支")
    private Integer isIncome;

    @ApiModelProperty(value = "收款账号id")
    private Long accountId;

    @ApiModelProperty(value = "收款账号")
    private String accountNo;

    @ApiModelProperty(value = "收款账号名称")
    private String accountName;

    @ApiModelProperty(value = "收款账号银行名称")
    private String accountBankName;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "实收金额")
    private java.math.BigDecimal amount;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实收日期")
    private Date amountDate;

    @ApiModelProperty(value = "收款单编号")
    private String receiptNo;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "账号余额")
    private List<CurrencyAmount> accountBalance;

    @ApiModelProperty(value = "相关订单信息列表")
    private List<ReceiptRelationOrderInfoVO> orderInfoList;
}
