package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.framework.common.util.io.FileModel;
import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptRelationOrderInfoVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Data
@ApiModel("管理后台 - 银行收款单明细列表返回结果")
public class ReceiptItemRespVO {

    private Long id;

    @ApiModelProperty(value = "流水号")
    private String serialNumber;

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "收款账号")
    private String accountNo;

    @ApiModelProperty(value = "当次实收金额不含税")
    private java.math.BigDecimal amount;

    @ApiModelProperty(value = "税点")
    private java.math.BigDecimal taxPoint;

    @ApiModelProperty(value = "当次实收金额含税")
    private java.math.BigDecimal taxAmount;

    @ApiModelProperty(value = "收款账号名称")
    private String accountName;

    @ApiModelProperty(value = "收款账号银行名称")
    private String accountBankName;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "收款汇率")
    private String rate;

    @ApiModelProperty(value = "实收日期")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date amountDate;

    @ApiModelProperty(value = "水单号")
    private String billNo;

    @ApiModelProperty(value = "附件多个,分隔")
    private String attr;
    @ApiModelProperty(value = "上传文件列表")
    private List<FileModel> attrList;

    @ApiModelProperty(value = "状态0待核销，1已核销")
    private Integer status;

    @ApiModelProperty(value = "核销货币id")
    private Long writeOffCurrencyId;

    @ApiModelProperty(value = "核销金额")
    private java.math.BigDecimal writeOffAmount;

    @ApiModelProperty(value = "流程审核状态")
    private Integer bmpStatus;

    @ApiModelProperty(value = "当前流程ID")
    private String bmpId;

    @ApiModelProperty(value = "主表中的收款单编号")
    private String receiptNo;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "提交审批人")
    private String createBpm;

    @ApiModelProperty(value = "提交审批时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date createTimeBpm;

    @ApiModelProperty(value = "审批通过时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date updateTimeBpm;

    @ApiModelProperty(value = "相关订单信息列表")
    private List<ReceiptRelationOrderInfoVO> orderInfoList;
}
