package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 收款单明细审核分页查询 VO")
public class ReceiptItemReviewPageReqVO {

    @ApiModelProperty(value = "编号搜索(包括订单号，提单号)")
    private String numberKey;

    @ApiModelProperty(value = "反向编号搜索(包括订单号，提单号)不包含的数据")
    private String notNumberKey;

    @ApiModelProperty(value = "编号搜索强等于(包括订单号，提单号)")
    private String eqNumberKey;

    @ApiModelProperty(value = "编号搜索强不等于(包括订单号，提单号)")
    private String notEqNumberKey;

    @ApiModelProperty(value = "付款方")
    private Integer payerType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始实收日期")
    private Date beginAmountDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束实收日期")
    private Date endAmountDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "提交日期开始")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "提交日期结束")
    private Date endCreateTime;

    @ApiModelProperty(value = "收款账号")
    private List<Long> accountId;

    @ApiModelProperty(value = "客户经理")
    private List<Long> salesmanIds;

    @ApiModelProperty(value = "客户名")
    private String customerName;
}
