package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptRelationOrderInfoVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/**
 * 收款单明细审核 Response VO
 */
@Data
@ApiModel("管理后台 - 收款单明细审核 Response VO")
public class ReceiptItemReviewPageVO {

    @ApiModelProperty(value = "主键", required = true)
    private Long id;
    @ApiModelProperty(value = "订单信息")
    private List<ReceiptRelationOrderInfoVO> orderInfoList;

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;
    @ApiModelProperty(value = "收款单号")
    private String receiptNo;

    @ApiModelProperty(value = "付款方")
    private Integer payerType;
    @ApiModelProperty(value = "费用统计")
    private FeeStatistics feeStatistics;
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "实收日期")
    private Date amountDate;
    @ApiModelProperty(value = "收款账号")
    private String accountNo;
    @ApiModelProperty(value = "收款账号名称")
    private String accountName;
    @ApiModelProperty(value = "收款账号银行名称")
    private String accountBankName;
    @ApiModelProperty(value = "货币id")
    private Long currencyId;
    @ApiModelProperty(value = "当次实收金额不含税")
    private java.math.BigDecimal amount;
    @ApiModelProperty(value = "收款汇率")
    private String rate;
    @ApiModelProperty(value = "核销货币id")
    private Long writeOffCurrencyId;
    @ApiModelProperty(value = "核销金额")
    private java.math.BigDecimal writeOffAmount;
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "提交时间")
    private Date submitTime;
    @ApiModelProperty(value = "附件多个,分隔")
    private String attr;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "客户id")
    private Long customerId;
    @ApiModelProperty(value = "客户编号")
    private String customerNo;
    @ApiModelProperty(value = "客户付款人姓名")
    private String customerPayName;
    @ApiModelProperty(value = "客户名")
    private String customerName;
    @ApiModelProperty(value = "客户经理id")
    private Long salesmanId;
    @ApiModelProperty(value = "客户经理id")
    private String salesmanName;
    @ApiModelProperty(value = "审批单id")
    private String bmpId;

    @Data
    public static class FeeStatistics {
        @ApiModelProperty(value = "明细")
        private List<Fee> details;
        @ApiModelProperty(value = "汇总")
        private String summary;
        @ApiModelProperty(value = "结算币种")
        private String baseCurrencySummary;
    }

    @Data
    public static class Fee {
        @ApiModelProperty(value = "明细")
        private Integer feeType;
        @ApiModelProperty(value = "费用金额")
        private String feeAmount;

        public Fee(Integer feeType, String feeAmount) {
            this.feeType = feeType;
            this.feeAmount = feeAmount;
        }
    }
}
