package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel("管理后台 - 批量生成收款单费用明细列表 Request VO")
public class BatchGenReceiptReceivablePageQueryVO {
    @ApiModelProperty(value = "订单id")
    @NotNull(message = "订单id不能为空")
    private Long orderId;
    @ApiModelProperty(value = "付款方（1 发货人 2 收货人）")
    @NotNull(message = "付款方不能为空")
    private Integer paymentUser;
    @ApiModelProperty(value = "收款类型(字典 payment_type)")
    private List<Integer> collectionType;
    @ApiModelProperty(value = "收入类型(字典 receivable_fee_type)")
    private List<Integer> feeType;
    @ApiModelProperty(value = "费用来源：1 订单计算 2 费用申请 3 特需费用")
    private List<Integer> feeSource;
}
