package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("管理后台 - 批量生成收款单费用明细列表 VO")
public class BatchGenReceiptReceivablePageVO {
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    @ApiModelProperty(value = "订单项商品ID")
    private Long orderItemId;
    @ApiModelProperty(value = "中文标题")
    private String titleZh;
    @ApiModelProperty(value = "英文标题")
    private String titleEn;
    @ApiModelProperty(value = "数量")
    private Integer quantity;
    @ApiModelProperty(value = "箱数")
    private Integer num;
    @ApiModelProperty(value = "体积/重量")
    private BigDecimal weight;
    @ApiModelProperty(value = "体积")
    private BigDecimal volume;
    @ApiModelProperty(value = "收款类型(字典 payment_type)")
    private Integer collectionType;
    @ApiModelProperty(value = "收入类型(字典 receivable_fee_type)")
    private Integer feeType;
    @ApiModelProperty(value = "费用来源：1 订单计算 2 费用申请 3 特需费用")
    private Integer feeSource;
    @ApiModelProperty(value = "付款人类型（1 发货人 2 收货人）")
    private Integer paymentUser;
    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;
    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;
    @ApiModelProperty(value = "货币id")
    private Long currencyId;
}
