package cn.iocoder.yudao.module.wealth.vo.receivable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

@Data
@ApiModel("分页结果")
public class ReceivableBoxReportPageVO implements Serializable {
    @ApiModelProperty(value = "自编号id")
    private Long id;

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "目的国id")
    private Long destCountryId;

    @ApiModelProperty(value = "订单数量")
    private Integer orderCount;

    @ApiModelProperty(value = "提单数量")
    private Integer ladingCount;

    @ApiModelProperty(value = "字典settlement_status,191-未结算，192-结算中，193-已结算")
    private Integer slStatus;

    @ApiModelProperty(value = "结算时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date slSettledTime;

    @ApiModelProperty(value = "核销比例")
    private String writeOffPercent;

    @ApiModelProperty(value = "提单制作,未完成/部分完成/已完成")
    private Integer ladingBillStatus;

    @ApiModelProperty(value = "到港时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dgDate;

    @ApiModelProperty(value = "清关时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qgDate;

    @ApiModelProperty(value = "卸柜/到仓时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ulWarehouseTime;

    @ApiModelProperty(value = "应收款-汇总")
    private String receivableTotalSummary;
    @ApiModelProperty(value = "应收款-结算")
    private String receivableTotalSettle;

    @ApiModelProperty(value = "应收款明细-运费")
    private String receivableDetailFreight;
    @ApiModelProperty(value = "应收款明细-清关费")
    private String receivableDetailClearance;
    @ApiModelProperty(value = "应收款明细-额外费用")
    private String receivableDetailOtherFee;

    @ApiModelProperty(value = "目的国实收-运费")
    private String receivableDestCountryFreight;
    @ApiModelProperty(value = "目的国实收-清关费")
    private String receivableDestCountryClearance;
    @ApiModelProperty(value = "目的国实收-额外费用")
    private String receivableDestCountryOtherFee;
    @ApiModelProperty(value = "目的国实收-额外费用(副币种)")
    private String receivableDestCountryOtherFeeSub;

    @ApiModelProperty(value = "始发国实收-运费")
    private String receivableStartCountryFreight;
    @ApiModelProperty(value = "始发国实收-清关费")
    private String receivableStartCountryClearance;
    @ApiModelProperty(value = "始发国实收-额外费用")
    private String receivableStartCountryOtherFee;
    @ApiModelProperty(value = "始发国实收-额外费用(副币种)")
    private String receivableStartCountryOtherFeeSub;

    @ApiModelProperty(value = "折扣-运费")
    private String receivableDiscountFreight;
    @ApiModelProperty(value = "折扣-清关费")
    private String receivableDiscountClearance;
    @ApiModelProperty(value = "折扣-额外费用")
    private String receivableDiscountOtherFee;

    @ApiModelProperty(value = "未收款明细-运费")
    private String receivableUnsettledFreight;
    @ApiModelProperty(value = "未收款明细-清关费")
    private String receivableUnsettledClearance;
    @ApiModelProperty(value = "未收款明细-额外费用")
    private String receivableUnsettledOtherFee;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ReceivableBoxReportPageVO that = (ReceivableBoxReportPageVO) o;
        return Objects.equals(id, that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(id);
    }
}
