package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel("应收报表分页结果")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public final class ReceivableBoxReportVO implements Serializable {

    @ApiModelProperty(value = "数据", required = true)
    private List<ReceivableBoxReportPageVO> list;

    @ApiModelProperty(value = "当页汇总", required = true)
    private Amount pageAmount;

    @ApiModelProperty(value = "查询条件汇总", required = true)
    private Amount queryAmount;

    @ApiModelProperty(value = "总量", required = true, example = "0")
    private Long total = 0L;

    @ApiModelProperty(value = "每页记录数", required = true, example = "10")
    private Long rows = 10L;

    @ApiModelProperty(value = "当前页数", required = true, example = "1")
    private Long page = 1L;

    @ApiModelProperty(value = "总页数", required = true, example = "0")
    private Long pages = 0L;

    @Data
    public static class Amount {
        @ApiModelProperty(value = "应收款-汇总")
        private List<ReceivableCurrencyAmount> receivableTotalSummary = new ArrayList<>();
        @ApiModelProperty(value = "应收款-结算")
        private List<ReceivableCurrencyAmount> receivableTotalSettle = new ArrayList<>();
        @ApiModelProperty(value = "应收款明细-运费")
        private List<ReceivableCurrencyAmount> receivableDetailFreight = new ArrayList<>();
        @ApiModelProperty(value = "应收款明细-清关费")
        private List<ReceivableCurrencyAmount> receivableDetailClearance = new ArrayList<>();
        @ApiModelProperty(value = "应收款明细-额外费用")
        private List<ReceivableCurrencyAmount> receivableDetailOtherFee = new ArrayList<>();
        @ApiModelProperty(value = "目的国实收-运费")
        private List<ReceivableCurrencyAmount> receivableDestCountryFreight = new ArrayList<>();
        @ApiModelProperty(value = "目的国实收-清关费")
        private List<ReceivableCurrencyAmount> receivableDestCountryClearance = new ArrayList<>();
        @ApiModelProperty(value = "目的国实收-额外费用")
        private List<ReceivableCurrencyAmount> receivableDestCountryOtherFee = new ArrayList<>();
        @ApiModelProperty(value = "目的国实收-额外费用(副币种)")
        private List<ReceivableCurrencyAmount> receivableDestCountryOtherFeeSub = new ArrayList<>();
        @ApiModelProperty(value = "始发国实收-运费")
        private List<ReceivableCurrencyAmount> receivableStartCountryFreight = new ArrayList<>();
        @ApiModelProperty(value = "始发国实收-清关费")
        private List<ReceivableCurrencyAmount> receivableStartCountryClearance = new ArrayList<>();
        @ApiModelProperty(value = "始发国实收-额外费用")
        private List<ReceivableCurrencyAmount> receivableStartCountryOtherFee = new ArrayList<>();
        @ApiModelProperty(value = "始发国实收-额外费用(副币种)")
        private List<ReceivableCurrencyAmount> receivableStartCountryOtherFeeSub = new ArrayList<>();
        @ApiModelProperty(value = "折扣-运费")
        private List<ReceivableCurrencyAmount> receivableDiscountFreight = new ArrayList<>();
        @ApiModelProperty(value = "折扣-清关费")
        private List<ReceivableCurrencyAmount> receivableDiscountClearance = new ArrayList<>();
        @ApiModelProperty(value = "折扣-额外费用")
        private List<ReceivableCurrencyAmount> receivableDiscountOtherFee = new ArrayList<>();
        @ApiModelProperty(value = "未收款明细-运费")
        private List<ReceivableCurrencyAmount> receivableUnsettledFreight = new ArrayList<>();
        @ApiModelProperty(value = "未收款明细-清关费")
        private List<ReceivableCurrencyAmount> receivableUnsettledClearance = new ArrayList<>();
        @ApiModelProperty(value = "未收款明细-额外费用")
        private List<ReceivableCurrencyAmount> receivableUnsettledOtherFee = new ArrayList<>();
    }
}
