package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

@Data
public class ReceivableCurrencyAmount {
    @ApiModelProperty(value = "币种id")
    private Long currencyId;
    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    public ReceivableCurrencyAmount(Long currencyId, BigDecimal amount) {
        this.currencyId = currencyId;
        this.amount = amount.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ReceivableCurrencyAmount that = (ReceivableCurrencyAmount) o;
        return Objects.equals(currencyId, that.currencyId);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(currencyId);
    }

    public void addAmount(BigDecimal amount) {
        this.amount = this.amount.add(amount).setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    @Override
    public ReceivableCurrencyAmount clone() {
        return new ReceivableCurrencyAmount(this.currencyId, this.amount);
    }
}