package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 银行收款明细中的应收明细 Response VO
 */
@Data
@ApiModel("管理后台 - 银行收款明细中的应收明细 Response VO")
public class ReceivableInItemVO {

    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ApiModelProperty(value = "流水号")
    private String serialNumber;

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "费用类型(字典 receivable_fee_type)")
    private Integer feeType;

    @ApiModelProperty(value = "汇率")
    private BigDecimal exchangeRate;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "折扣金额")
    private BigDecimal discountTotal;

    @ApiModelProperty(value = "含税金额")
    private BigDecimal taxAmount;

    @ApiModelProperty(value = "收款状态（0未收款，1收款中，2已收款）")
    private Integer state;

    @ApiModelProperty(value = "费用来源：1 订单计算 2 费用申请 3 特需费用")
    private Integer feeSource;

    @ApiModelProperty(value = "未核销金额")
    private BigDecimal notWriteOffAmount;

    @ApiModelProperty(value = "核销比例")
    private String writeOffProportion;

    @ApiModelProperty(value = "基准金额")
    private BigDecimal baseAmount;

    @ApiModelProperty(value = "实际金额")
    private BigDecimal actualAmount;

    @ApiModelProperty(value = "核销金额")
    private BigDecimal writeOffAmountUsd;

    @ApiModelProperty(value = "未核销金额")
    private BigDecimal notWriteOffAmountUsd;

    @ApiModelProperty(value = "基准币种id")
    private Long baseCurrencyId;

    @ApiModelProperty(value = "本次核销金额")
    private BigDecimal writeOffAmount;
}
