package cn.iocoder.yudao.module.wealth.vo.receivable;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("管理后台 - 费用详细统计 VO")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class WealthMoneyAmountVO {

    @ApiModelProperty(value = "币种id")
    private Integer currencyId;

    @ApiModelProperty(value = "币种符号")
    private String currencySymbol;

    @ApiModelProperty(value = "币种名")
    private String currencyName;

    @ApiModelProperty(value = "总金额合计")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "不含税金额合计")
    private BigDecimal notIncludedTaxAmount;

    @ApiModelProperty(value = "含税金额合计")
    private BigDecimal taxAmount;

    @ApiModelProperty(value = "优惠合计")
    private BigDecimal discountTotal;

    @ApiModelProperty(value = "实际金额合计")
    private BigDecimal receivableTotalAmount;

    @ApiModelProperty(value = "核销合计")
    private BigDecimal writeOffAmount;

    @ApiModelProperty(value = "未核销合计")
    private BigDecimal notWriteOffAmount;
}
